package javax.xml.crypto.dom;

import org.w3c.dom.Node;
import javax.xml.crypto.XMLStructure;

public class DOMStructure implements XMLStructure
{
    private final Node node;
    
    public DOMStructure(Node node) {
        if (node == null) {
            throw new NullPointerException("node cannot be null");
        }
        this.node = node;
        return;
    }
    
    public Node getNode() {
        return this.node;
    }
    
    @Override
    public boolean isFeatureSupported(String s) {
        if (s == null) {
            throw new NullPointerException();
        }
        return false;
    }
}
